package com.seatel.mobilehall.ui.login.interactor

import com.android.volley.VolleyError

interface LoginInteractor{

    interface View{
        fun onLoginSucceed(isNoneSeatel: Boolean, isPostPad: Boolean)
        fun onLoginFailed(error: VolleyError)
        fun onLoginWithSocialSucceed(uId:String)
        fun onLoginWithSocialFail(error:String)
        fun onAccountExist(isExist: Boolean, phoneNum: String, isNoneSeatel: Boolean, isPostPad: Boolean)
    }

    interface Presenter{

        fun onLogin(phoneNum: String,pass:String)
        fun onLoginWithSocial(userId:String)
    }
}